export interface Node {
  uuid: string;
  name: string;
  status: number;
  coordla: number;
  coordlong: number;
  temperature: number;
  battery: number;
  runtime: number;
}

export interface NodeGroup {
  groupId: string;
  name: string;
  nodes: Node[];
}

export interface User {
  uuid: string;
  name: string;
  email: string;
  admin: boolean;
}

export interface CreateUserDto {
  name: string;
  email: string;
  password: string;
  admin: boolean;
}

export interface UpdateUserDto {
  name: string;
  email: string;
  password?: string;
  admin?: boolean;
}

